package kdf

import (
	"errors"
)

var (
	ErrBadData    = errors.New("unable to cast data into buffer for KDF")
	ErrNoKeyLen   = errors.New("no key length configured or bad key length for KDF")
	ErrNoRounds   = errors.New("no rounds number configured or bad number of rounds for KDF")
	ErrNoSalt     = errors.New("no salt configured or bad salt value for KDF")
	ErrNoSecret   = errors.New("no secret configured or bad secret value for KDF")
	ErrUnknownKdf = errors.New("unable to determine matching KDF")
)
